Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ TheIDE » U++ TheIDE: Installation, Compiling and Running of theide » latest [-svn-] nigthly build 16135 fails to compile
latest [-svn-] nigthly build 16135 fails to compile [message #57843] Tue, 21 December 2021 08:46 Go to next message
slashupp is currently offline  slashupp
Messages: 231
Registered: July 2009
Experienced Member
linux

using https://www.ultimatepp.org/downloads/upp-posix-16135.tar.xz

when I run make in unpacked upp/ I get:

...
mkdir -p .cache/upp.out/CtrlCore/GCC-Gcc-Gui-Linux-Posix-Shared/
mkdir -p .cache/upp.out/plugin/bmp/GCC-Gcc-Gui-Linux-Posix-Shared/
mkdir -p .cache/upp.out/RichText/GCC-Gcc-Gui-Linux-Posix-Shared/
(date '+#define bmYEAR    %y%n#define bmMONTH   %m%n#define bmDAY     %d%n#define bmHOUR    %H%n#define bmMINUTE  %M%n#define bmSECOND  %S%n#define bmTIME    Time( %y, %m, %d, %H, %M, %S )' | sed 's| 0\([[:digit:]]\)| \1|g' && \
echo '#define bmMACHINE "'`hostname`'"' && \
echo '#define bmUSER    "'`whoami`'"') > ".cache/upp.out//build_info.h"
c++ -c -x c++ -O3 -ffunction-sections -fdata-sections  -std=c++14 -I./uppsrc/ `pkg-config --cflags freetype2` `pkg-config --cflags fontconfig` `pkg-config --cflags x11` `pkg-config --cflags xcb` `pkg-config --cflags expat` `pkg-config --cflags libpng` `pkg-config --cflags xinerama` `pkg-config --cflags xrender` `pkg-config --cflags xft` `pkg-config --cflags xdmcp` `pkg-config --cflags xext` `pkg-config --cflags gtk+-3.0` `pkg-config --cflags libnotify` -I./ -I.cache/upp.out/ -DflagGUI -DflagGCC -DflagSHARED -DflagPOSIX -DflagLINUX -DflagMAIN  ./uppsrc/ide/BaseDlg.cpp -o .cache/upp.out/ide/GCC-Gcc-Gui-Linux-Main-Posix-Shared/BaseDlg.o
In file included from ./uppsrc/Core/Core.h:281,
                 from ./uppsrc/Esc/Esc.h:4,
                 from ./uppsrc/ide/Core/Core.h:4,
                 from ./uppsrc/ide/Common/Common.h:4,
                 from ./uppsrc/ide/ide.h:4,
                 from ./uppsrc/ide/BaseDlg.cpp:1:
./uppsrc/Core/Ops.h: In function 'Upp::byte Upp::addc64(Upp::uint64&, const uint64&, Upp::byte)':
./uppsrc/Core/Ops.h:231:9: error: '_addcarry_u64' was not declared in this scope
  return _addcarry_u64(carry, result, value, &result);
         ^~~~~~~~~~~~~
make: *** [Makefile:615: .cache/upp.out/ide/GCC-Gcc-Gui-Linux-Main-Posix-Shared/BaseDlg.o] Error 1

[Updated on: Tue, 21 December 2021 15:35]

Report message to a moderator

Re: latest [-svn-] nigthly build 16135 fails to compile [message #57865 is a reply to message #57843] Thu, 23 December 2021 12:57 Go to previous messageGo to next message
slashupp is currently offline  slashupp
Messages: 231
Registered: July 2009
Experienced Member
As suggested by Klugier I downloaded ultimatepp-master from Github
and tried to compile but get same error as above.

Should I get another branch? & where is it?
Re: latest [-svn-] nigthly build 16135 fails to compile [message #57869 is a reply to message #57865] Thu, 23 December 2021 15:24 Go to previous messageGo to next message
Klugier is currently offline  Klugier
Messages: 1077
Registered: September 2012
Location: Poland, Kraków
Senior Contributor
Hello,

I see you are using makefile to build TheIDE. Could you try to install with ./install script (make sure you satisfied build requirements):
klugier@X470Pro:Dokumenty/upp $ ./install 
Following command should be used to install required packages:

sudo pacman -Sy --needed gcc make zlib bzip2 gtk3 libnotify openssl clang pkgconfig gdb

Install script can run this command for you, but that will require
your sudo password.
Do you want the script to do that (Y/n)?n // <- You could run it if you want (I skiped, because I have all dependencies)
Please make sure that build dependecies are satisfied.
Continue (Y/n)?

Use prebuilt binary umks32 to accelerate the build (Y/n)?Y

Also use prebuild umk32 in order to build TheIDE.
-----------------------------------
I downloaded last nightly 16138 from our site and compiled it on Linux (Manjaro KDE x64). Everything works fine. Could you also provide information about your distribution and architecture.

Klugier


U++ - one framework to rule them all.

[Updated on: Thu, 23 December 2021 15:27]

Report message to a moderator

Re: latest [-svn-] nigthly build 16135 fails to compile [message #57874 is a reply to message #57869] Thu, 23 December 2021 22:54 Go to previous messageGo to next message
busiek is currently offline  busiek
Messages: 65
Registered: February 2011
Location: Poland
Member
Hi all.

I have the same error with build 16138. Using umk32 doesn't help.

I have Ubuntu 18.04.2 LTS. gcc 7.5.0. Processor is Intel(R) Xeon(R) CPU E5-2630 v4, so it is broadwell. What else do you need?

Kuba
Re: latest [-svn-] nigthly build 16135 fails to compile [message #57876 is a reply to message #57869] Fri, 24 December 2021 10:09 Go to previous messageGo to next message
slashupp is currently offline  slashupp
Messages: 231
Registered: July 2009
Experienced Member
tried on ubuntu 20.04 lts, debian stable, devuan stable
same error on all
Re: latest [-svn-] nigthly build 16135 fails to compile [message #57877 is a reply to message #57874] Fri, 24 December 2021 11:29 Go to previous messageGo to next message
busiek is currently offline  busiek
Messages: 65
Registered: February 2011
Location: Poland
Member
However, when I used gcc 9.4.0 (I compiled it from sources), the error has gone and installation went smoothly using adjusted Makefile to this gcc version.

busiek wrote on Thu, 23 December 2021 22:54
Hi all.

I have the same error with build 16138. Using umk32 doesn't help.

I have Ubuntu 18.04.2 LTS. gcc 7.5.0. Processor is Intel(R) Xeon(R) CPU E5-2630 v4, so it is broadwell. What else do you need?

Kuba

Re: latest [-svn-] nigthly build 16135 fails to compile [message #57879 is a reply to message #57877] Fri, 24 December 2021 13:55 Go to previous messageGo to next message
Klugier is currently offline  Klugier
Messages: 1077
Registered: September 2012
Location: Poland, Kraków
Senior Contributor
Hello,

It seems that older version of gcc requires inclusion of x86intrin.h in order to include _addcarry_u64 function correctly. Could you modify Core/Ops.h file (Just place following code at the begging of the file (line 1-3) and compile again:
#ifdef COMPILER_GCC
#include <x86intrin.h>
#endif


Please let me know if it works for you.

Source:
- https://stackoverflow.com/questions/36292944/undefined-refer ence-to-addcarry-u64

Klugier


U++ - one framework to rule them all.

[Updated on: Fri, 24 December 2021 13:55]

Report message to a moderator

Re: latest [-svn-] nigthly build 16135 fails to compile [message #57880 is a reply to message #57879] Sat, 25 December 2021 09:55 Go to previous messageGo to next message
slashupp is currently offline  slashupp
Messages: 231
Registered: July 2009
Experienced Member
@Klugier, that worked, thx
& merry xmas!
(why am i here on xmasday?!?!)
Re: latest [-svn-] nigthly build 16135 fails to compile [message #57892 is a reply to message #57880] Mon, 27 December 2021 12:29 Go to previous messageGo to next message
Klugier is currently offline  Klugier
Messages: 1077
Registered: September 2012
Location: Poland, Kraków
Senior Contributor
Hello Slash and Kuba,

Mirek pushes new fix (different than mine). Could you download latest nightly and test again?

Klugier


U++ - one framework to rule them all.
Re: latest [-svn-] nigthly build 16135 fails to compile [message #57922 is a reply to message #57879] Tue, 28 December 2021 10:49 Go to previous message
mirek is currently offline  mirek
Messages: 13990
Registered: November 2005
Ultimate Member
Klugier wrote on Fri, 24 December 2021 13:55
Hello,

It seems that older version of gcc requires inclusion of x86intrin.h in order to include _addcarry_u64 function correctly. Could you modify Core/Ops.h file (Just place following code at the begging of the file (line 1-3) and compile again:
#ifdef COMPILER_GCC
#include <x86intrin.h>
#endif


Please let me know if it works for you.

Source:
- https://stackoverflow.com/questions/36292944/undefined-refer ence-to-addcarry-u64

Klugier


It seems #include does not really solve the problem (I have tried...), the check for compiler version is really required.
Previous Topic: Compilation errors theide on Ubuntu 20.04.3 ARM64 last stable
Next Topic: IDE can not start with Win7-64
Goto Forum:
  


Current Time: Wed Jul 17 15:00:35 CEST 2024

Total time taken to generate the page: 0.01877 seconds